<bugID>933210<Summary>Should the customization UI be uncloseable? Should it be a tab at all?</Summary><Description>Question mark is intentional. Just wondering. I'm filing this bug to start some discussion. Again, my apologies if this was thoroughly discussed before!

On one hand, you want tabs to behave consistently, no matter what kind of content they display e.g. tabs with about: pages should behave just like any other tab. On the other hand, the customization UI is not actually a 'tab'. It's more like 'mode'. From this perspective, it doesn't make much sense to be able to 'unclose' it (Ctrl+Shift+T).

That brings a wider question: should the customization UI be "in a tab" at all? Things like about:addons and about:home are a good fit for the tab model because they simply present a special type of content. But the customization UI completely changes the behaviour of the UI. Having it in a tab almost feels like exposing an implementation detail to the user.

There are advantages of having it in a tab, of course: for one, it's a bit easier to figure out how to leave the customization UI i.e. just close the 'tab'.

In any case, I'm curious about the rationale behind the current design :-)</Description></bugID>